diff --git a/src/common/gui/SurgeGUIEditor.cpp b/src/common/gui/SurgeGUIEditor.cpp
index 21c7e33c5..b263a1c3e 100644
--- a/src/common/gui/SurgeGUIEditor.cpp
+++ b/src/common/gui/SurgeGUIEditor.cpp
@@ -1382,6 +1382,7 @@ void SurgeGUIEditor::close_editor()
 
 #if LINUX && TARGET_VST3
 extern void LinuxVST3Init(Steinberg::Linux::IRunLoop* pf);
+extern void LinuxVST3Detatch();
 extern void LinuxVST3FrameOpen(CFrame* that, void*, const VSTGUI::PlatformType& pt);
 #endif
 
@@ -1486,6 +1487,9 @@ void SurgeGUIEditor::close()
 
 #if TARGET_VST3
    _idleTimer->stop();
+#if LINUX
+   LinuxVST3Detatch();
+#endif
 #endif
 }
 
diff --git a/src/linux/LinuxVST3Helpers.cpp b/src/linux/LinuxVST3Helpers.cpp
index a6bba0484..f49207236 100644
--- a/src/linux/LinuxVST3Helpers.cpp
+++ b/src/linux/LinuxVST3Helpers.cpp
@@ -219,4 +219,9 @@ void LinuxVST3FrameOpen(VSTGUI::CFrame* that, void* parent, const VSTGUI::Platfo
 
    IdleUpdateHandler::start();
 }
+
+void LinuxVST3Detatch()
+{
+  std::cout << "Would detatch here. FIXME" << std::endl;
+}
 #endif
diff --git a/src/vst3/SurgeVst3Processor.cpp b/src/vst3/SurgeVst3Processor.cpp
index dd713b1ab..8ccc36db3 100644
--- a/src/vst3/SurgeVst3Processor.cpp
+++ b/src/vst3/SurgeVst3Processor.cpp
@@ -52,6 +52,7 @@ tresult PLUGIN_API SurgeVst3Processor::initialize(FUnknown* context)
       return result;
    }
 
+   disableZoom = false;
 #if WINDOWS
    Steinberg::FUnknownPtr<Steinberg::Vst::IHostApplication> hostApplication(context);
    if (hostApplication)
@@ -567,21 +568,21 @@ tresult PLUGIN_API SurgeVst3Processor::getParameterInfo(int32 paramIndex, Parame
    */
    wchar_t tmpwchar[512];
    surgeInstance->getParameterNameW(id, tmpwchar);
-#if MAC
+#if MAC || LINUX
    std::copy(tmpwchar, tmpwchar + 128, info.title);
 #else
    swprintf(reinterpret_cast<wchar_t *>(info.title), 128, L"%S", tmpwchar);
 #endif   
 
    surgeInstance->getParameterShortNameW(id, tmpwchar);
-#if MAC
+#if MAC || LINUX
    std::copy(tmpwchar, tmpwchar + 128, info.shortTitle);
 #else
    swprintf(reinterpret_cast<wchar_t *>(info.shortTitle), 128, L"%S", tmpwchar);
 #endif   
 
    surgeInstance->getParameterUnitW(id, tmpwchar);
-#if MAC
+#if MAC || LINUX
    std::copy(tmpwchar, tmpwchar + 128, info.units);
 #else
    swprintf(reinterpret_cast<wchar_t *>(info.units), 128, L"%S", tmpwchar);
@@ -609,7 +610,7 @@ tresult PLUGIN_API SurgeVst3Processor::getParamStringByValue(ParamID tag,
    
    wchar_t tmpwchar[ 512 ];
    surgeInstance->getParameterStringW(tag, valueNormalized, tmpwchar);
-#if MAC
+#if MAC || LINUX
    std::copy(string, string+128, tmpwchar);
 #else
    swprintf(reinterpret_cast<wchar_t *>(string), 128, L"%S", tmpwchar);
